/* Yam Launcher & Mailto processor                                       */
/* This version is smarter than "MAIL2YAM" as it will load YAM if it is  */
/* not already loaded, and it passes both the URL as the subject AND the */
/* EMail address to send mail to                                         */
/* Copyright (c) Tristan R. Young, tyoung@netrover.com  4/5/98           */


PATH = "dh1:internet/yam"

PARSE ARG mailto subject

START:

if show('P','YAM') then do
    address YAM 'show'
    address YAM 'mailwrite'
    address YAM 'writesubject "'subject'"'
    address YAM 'writemailto "'mailto'"'
    EXIT
end

else do
    pragma('D', PATH)
    address command 'run >nil: YAM NOCHECK'
    address command 'waitforport YAM'
    signal START
end
